Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.descriptors.changetracking
Class DeferredChangeDetectionPolicy

`java.lang.Object
oracle.toplink.descriptors.changetracking.DeferredChangeDetectionPolicy`

All Implemented Interfaces:
  oracle.toplink.descriptors.changetracking.ObjectChangePolicy, java.io.Serializable

Direct Known Subclasses:
  ObjectChangeTrackingPolicy

public class DeferredChangeDetectionPolicy
extends java.lang.Object
implements oracle.toplink.descriptors.changetracking.ObjectChangePolicy, java.io.Serializable

PUBLIC: A DeferredChangeDetectionPolicy defers all change detection to the UnitOfWork's change detection process. Essentially, the calculateChanges() method will run for all objects in a UnitOfWork. This is the default ObjectChangePolicy

See Also:
  Serialized Form

Constructor Summary
`DeferredChangeDetectionPolicy()`

Method Summary
`boolean` | `isAttributeChangeTrackingPolicy()` Used to track instances of the change policies without doing an instance of check
`boolean` | `isDeferredChangeDetectionPolicy()` Used to track instances of the change policies without doing an instance of check
`boolean` | `isObjectChangeTrackingPolicy()` Used to track instances of the change policies without doing an instance of check

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeferredChangeDetectionPolicy

    public DeferredChangeDetectionPolicy()

Method Detail

### isDeferredChangeDetectionPolicy

    public boolean isDeferredChangeDetectionPolicy()

  Used to track instances of the change policies without doing an instance of check
  Specified by:
    `isDeferredChangeDetectionPolicy` in interface `oracle.toplink.descriptors.changetracking.ObjectChangePolicy`

### isObjectChangeTrackingPolicy

    public boolean isObjectChangeTrackingPolicy()

  Used to track instances of the change policies without doing an instance of check
  Specified by:
    `isObjectChangeTrackingPolicy` in interface `oracle.toplink.descriptors.changetracking.ObjectChangePolicy`

### isAttributeChangeTrackingPolicy

    public boolean isAttributeChangeTrackingPolicy()

  Used to track instances of the change policies without doing an instance of check
  Specified by:
    `isAttributeChangeTrackingPolicy` in interface `oracle.toplink.descriptors.changetracking.ObjectChangePolicy`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD